Bug 1029183 - Installing bring along incorrect python3 dependencies
Installing bring along incorrect python3 dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-zope-sqlalchemy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 16:04 EST by Ralph Bean
Modified: 2016-09-19 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-transaction-1.4.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-02 21:47:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-11-11 16:04:56 EST
Description of problem:

Yum installing python-zope-sqlalchemy incorrectly brings along a number of python3 dependencies.  Those should only come along if python3-zope-sqlalchemy is installed.

=========================================================================================================
 Package                           Arch              Version                    Repository          Size
=========================================================================================================
Installing:
 python-zope-sqlalchemy            noarch            0.7.2-1.fc19               fedora              30 k
Installing for dependencies:
 python-sqlalchemy                 x86_64            0.8.3-1.fc19               updates            2.9 M
 python-transaction                noarch            1.4.1-1.fc19               fedora              77 k
 python-zope-event                 noarch            4.0.2-1.fc19               fedora              77 k
 python-zope-interface             x86_64            4.0.5-1.fc19               fedora             138 k
 python3                           x86_64            3.3.2-7.fc19               updates             43 k
 python3-libs                      x86_64            3.3.2-7.fc19               updates            6.2 M
 python3-sqlalchemy                x86_64            0.8.3-1.fc19               updates            2.9 M
 python3-transaction               noarch            1.4.1-1.fc19               fedora              81 k
 python3-zope-event                noarch            4.0.2-1.fc19               fedora              77 k
 python3-zope-interface            x86_64            4.0.5-1.fc19               fedora             142 k

Transaction Summary
=========================================================================================================
Install  1 Package (+10 Dependent packages)
Comment 1 Fedora Update System 2014-01-22 22:14:43 EST
python-transaction-1.4.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-transaction-1.4.1-3.fc20
Comment 2 Fedora Update System 2014-01-22 22:14:53 EST
python-transaction-1.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-transaction-1.4.1-3.fc19
Comment 3 Fedora Update System 2014-01-24 02:37:32 EST
Package python-transaction-1.4.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-transaction-1.4.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1411/python-transaction-1.4.1-3.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-02-02 21:47:31 EST
python-transaction-1.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-02-02 21:50:29 EST
python-transaction-1.4.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.